Bug 140157 - New port: www/trac-bitten Continuous integration for Trac
Summary: New port: www/trac-bitten Continuous integration for Trac
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-01 02:00 UTC by tim
Modified: 2011-10-14 00:40 UTC (History)
0 users

See Also:


Attachments
trac-bitten.shar (36.95 KB, text/plain)
2009-11-01 02:00 UTC, tim
no flags Details
GIDs.patch (217 bytes, patch)
2009-11-01 02:00 UTC, tim
no flags Details | Diff
pkg-descr (539 bytes, text/plain)
2010-09-13 03:53 UTC, tim
no flags Details
pkg-message (604 bytes, text/plain)
2010-09-13 03:53 UTC, tim
no flags Details
trac-bitten-0.6b3.shar (27.08 KB, application/x-shar)
2011-01-27 13:50 UTC, tim
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description tim 2009-11-01 02:00:07 UTC
	New port for the Bitten continuous integration plugin for Trac. It includes the
	Trac master, which runs inside Trac and offers a web interface to manage and
	monitor builds, and a build slave which runs as a daemon on build machines
	which regularly checks for new pending builds and then executes them.
	The slave daemon runs as a specified user, hence the new UID/GID bitten-slave.
	Contains custom startup script and config file and the following patches:
	patch-0.6.x-r785: updates the base revision to tested stable svn version, required
	                  for proper operation
	patch-git: Add git specific recipe commands, patch sent upstream but not yet
	           included
	patch-navtypo: Fixes simple typo, patch sent upstream
	The following extra files specific to FreeBSD are provided:
	bitten-slave.sample: example configuration, will be transformed to config file if
	                     none exists during installation
	bitten-slave.in: startup script for bitten slave daemon

	This is my first port, let me know what needs to be changed.

Fix: --- UIDs	2009-11-01 02:07:56.000000000 +0100
+++ UIDs.bitten	2009-11-01 02:07:44.000000000 +0100
@@ -93,6 +93,7 @@
 dspam:*:202:202::0:0:Dspam:/nonexistent:/usr/sbin/nologin
 shoutcast:*:210:210::0:0:Shoutcast sandbox:/nonexistent:/bin/sh
 git:*:211:211:gitosis user:/usr/local/git:/bin/sh
+bitten-slave:*:212:212:bitten slave:/var/lib/bitten-slave:/bin/sh
 bs:*:220:220::0:0:Big Sister:/usr/local/bigsister:/bin/sh
 postgrey:*:225:225::0:0:Postgrey Owner:/nonexistent:/usr/sbin/nologin
 aprsd:*:240:240::0:0:aprsd:/nonexistent:/bin/sh
--- UIDs.patch ends here ---
Comment 1 Greg Larkin freebsd_committer 2009-12-17 02:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

I'll take it.
Comment 2 Greg Larkin freebsd_committer 2009-12-21 20:52:08 UTC
State Changed
From-To: open->feedback

Waiting for response to follow-up question.
Comment 3 Philip M. Gollucci freebsd_committer 2010-09-13 01:58:02 UTC
State Changed
From-To: feedback->open

submitter feedback timeout: 266 days)
Comment 4 tim 2010-09-13 03:53:50 UTC
I have sent the requested information to glarkin@freebsd.org on Feb 7th 
2010. I have attached the files that contain the description and the 
message.

-- 
     Tim Niemueller <tim@niemueller.de>      www.niemueller.de
=================================================================
  Imagination is more important than knowledge. (Albert Einstein)
Comment 5 tim 2011-01-27 13:50:41 UTC
Hi Greg.

Is there any progress on this port? I have attached a new version of the 
port updating it to 0.6b3. Hope it makes it into the ports collection 
some day.

	Tim
Comment 6 Martin Wilke freebsd_committer 2011-02-05 05:57:00 UTC
State Changed
From-To: open->feedback

hi, build failed with plist. 
http://32bit.miwibox.org/index.php?action=describe_port&id=2534
Comment 7 Martin Wilke freebsd_committer 2011-03-18 10:32:29 UTC
State Changed
From-To: feedback->closed

feedback timeout
Comment 8 Martin Wilke freebsd_committer 2011-03-18 10:58:09 UTC
State Changed
From-To: closed->open

repopen per request
Comment 9 Greg Larkin freebsd_committer 2011-04-21 20:45:49 UTC
State Changed
From-To: open->feedback

Waiting for test results from submitter.
Comment 10 Greg Larkin freebsd_committer 2011-09-21 15:57:12 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Tim,

I'm planning on adding this port to the tree within the next week,
unless you have any objections.  Has this version been working well in
your environment?  Let me know if you're still interested in
maintaining the port, and if not, I'll take it.

Thank you,
Greg

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (Darwin)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk55+0gACgkQ0sRouByUApDukACbBTSQqx0p08FtJ4fvpFgcnuw5
ztsAn0LyUIUAzrSA1nhqq86RiXXcmCwL
=BGOV
-----END PGP SIGNATURE-----
Comment 11 Eitan Adler freebsd_committer freebsd_triage 2011-09-24 19:26:03 UTC
State Changed
From-To: feedback->open

feedback timeout
Comment 12 dfilter service freebsd_committer 2011-10-13 22:06:35 UTC
glarkin     2011-10-13 21:06:22 UTC

  FreeBSD ports repository

  Modified files:
    .                    GIDs UIDs 
  Log:
  - Added user and group to prepare for new port devel/trac-bitten
  
  PR:             ports/140157
  Submitted by:   Tim Niemueller <tim@niemueller.de>
  
  Revision  Changes    Path
  1.157     +2 -1      ports/GIDs
  1.177     +2 -1      ports/UIDs
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 dfilter service freebsd_committer 2011-10-14 00:22:32 UTC
glarkin     2011-10-13 23:22:22 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/trac-bitten    Makefile distinfo pkg-descr pkg-plist 
    devel/trac-bitten/files bitten-slave.in bitten-slave.sample 
                            patch-git pkg-message.in 
  Log:
  A continuous integration plugin for Trac.
  
  Bitten is a Python-based framework for collecting various software
  metrics via continuous integration. It builds on Trac to provide
  an integrated web-based user interface. Build slaves are usually
  installed and run on multiple different systems to compile and test
  the software on these platforms on new checkins.
  
  Set bitten_slave_enable to "yes" and bitten_slave_urls to contain
  one or more Bitten build URLs. For form authentication add --form-auth
  to flags.
  
  WWW: http://bitten.edgewall.org/
  
  PR:             ports/140157
  Submitted by:   Tim Niemueller <tim@niemueller.de>
  
  Revision  Changes    Path
  1.4602    +1 -0      ports/devel/Makefile
  1.1       +69 -0     ports/devel/trac-bitten/Makefile (new)
  1.1       +2 -0      ports/devel/trac-bitten/distinfo (new)
  1.1       +42 -0     ports/devel/trac-bitten/files/bitten-slave.in (new)
  1.1       +12 -0     ports/devel/trac-bitten/files/bitten-slave.sample (new)
  1.1       +103 -0    ports/devel/trac-bitten/files/patch-git (new)
  1.1       +12 -0     ports/devel/trac-bitten/files/pkg-message.in (new)
  1.1       +13 -0     ports/devel/trac-bitten/pkg-descr (new)
  1.1       +139 -0    ports/devel/trac-bitten/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 dfilter service freebsd_committer 2011-10-14 00:27:51 UTC
glarkin     2011-10-13 23:27:39 UTC

  FreeBSD doc repository (ports committer)

  Modified files:
    en_US.ISO8859-1/articles/contributors contrib.additional.sgml 
  Log:
  - Added Tim Niemueller to the list of contributors
  
  PR:             ports/140157
  
  Revision  Changes    Path
  1.1027    +5 -0      doc/en_US.ISO8859-1/articles/contributors/contrib.additional.sgml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 Greg Larkin freebsd_committer 2011-10-14 00:28:17 UTC
State Changed
From-To: open->closed

Committed with some modifications, and I added Tim Niemueller to the 
additional contributors list at: 
http://www.freebsd.org/doc/en/articles/contributors/contrib-additional.html 

Your name will show up there in the next day or so. 

Thank you for your continued patience while I finalized this port!